Package io.github.jdbcx.driver

# Class QueryBuilder

java.lang.Object
io.github.jdbcx.driver.QueryBuilder

public final class QueryBuilder extends Object

## Constructor Summary

Constructors
Constructor
Description
`QueryBuilder(QueryContext context, ParsedQuery pq, ConnectionManager manager, QueryResult queryResult)`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`build()`
`SQLWarning`
`getLastWarning()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QueryBuilder

public QueryBuilder(QueryContext context, ParsedQuery pq, ConnectionManager manager, QueryResult queryResult)

## Method Details

### getLastWarning

public SQLWarning getLastWarning()

### build

public List<String> build() throws SQLException

Throws:
  `SQLException`